# Changelog

All notable changes to this project will be documented in this file, which is a **cumulative record**.

Each version entry follows a consistent structure with the following optional sections:

- **Added** – New features
- **Changed** – Modifications to existing functionality
- **Deprecated** – Features marked for future removal
- **Removed** – Features removed in this version
- **Fixed** – Bug fixes
- **Security** – Vulnerability fixes

Format based on [Keep a Changelog](https://keepachangelog.com) and [Semantic Versioning](https://semver.org).


## [1.0.0] - 2025-06-26
### Added
- Multi-format, multi-instrument file reading system for FAIR data processing
- Data integration pipeline with YAML-based configuration for cross-project adaptability
- Metadata revision and normalization pipeline
- HDF5 manager object for data extraction, handling, and visualization

## [1.1.0] - 2025-06-26
### Added
- Pre-transfer validation in data integration pipeline:
  - Disk space check: Verifies sufficient free space before copying large datasets
  - Duplicate detection: Skips transfer if destination files already exist
- Dry-run optimization: Reuses file discovery results to avoid redundant directory walks
- Include Licence

### Changed
- Update README.md with new description + authors and funding sections

## [1.2.0] - 2025-06-29
### Changed
- Updated `README.md` to use Miniforge and `conda-forge` for environment setup.
- Removed unreliable `setup_env.sh` shell-based installation instructions.
- Added instructions to configure Conda to use only `conda-forge` with strict priority.
- Included a notice to verify base environment origin via `conda info`.
