# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

import os
import sys
sys.path.insert(0, os.path.abspath('../..'))
print(os.getcwd())
#print(os.path.abspath('../..'))

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'DIMA'
copyright = '2024, JFFO'
author = 'JFFO'
release = '1.0.0'

# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration

extensions = [
    'nbsphinx', # added for jupyter notebooks
    'sphinx.ext.autodoc',
    'sphinx.ext.autosummary',
    'sphinx.ext.viewcode',  # This extension adds links to highlighted source code
]

templates_path = ['_templates']
exclude_patterns = []

# nbsphinx configuration options
nbsphinx_allow_errors = True  # Continue through notebook execution errors
#nbsphinx_execute = 'always'   # Execute notebooks before converting
nbsphinx_execute = 'never'   # Execute notebooks before converting

# If you want to include the content of the Jupyter notebook cells in the index
nbsphinx_prolog = """
.. raw:: html

    <div class="nbsphinx-separator"></div>
"""

# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = "sphinx_rtd_theme"
html_static_path = ['_static']


#extensions = [
#    'sphinx.ext.autodoc',
#    'sphinx.ext.napoleon',
#]